org.eclnt.workplace

## Class WorkplaceHistory

- java.lang.Object
- - org.eclnt.jsfserver.managedbean.DefaultDispatchedBean
  - - org.eclnt.workplace.WorkplaceFavorites
    - - org.eclnt.workplace.WorkplaceHistory

- All Implemented Interfaces:
    java.io.Serializable

      public class WorkplaceHistory
      extends WorkplaceFavorites

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclnt.workplace.WorkplaceFavorites

      `WorkplaceFavorites.FavoriteInternalInfo, WorkplaceFavorites.ImageSelectionListener`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `NUMBER_OF_HISTORYITEMS`
    `static java.lang.String` | `WORKPLACEHISTORY_PERSISTID`

    - ### Fields inherited from class org.eclnt.workplace.WorkplaceFavorites

      `m_defaultImage`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkplaceHistory(IDispatcher dispatcher)` Implicitly calls `WorkplaceHistory(IDispatcher, boolean)` passing "loadFromPersistence" with "false".
    `WorkplaceHistory(IDispatcher dispatcher, boolean loadFromPersistence)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFavorite(IWorkpage workpage)`
    `void` | `block()` Blocks the creation of history items, e.g. during initialization of a workplace.
    `protected boolean` | `checkIfWorkpageStartInfoIsHistoryRelevant(WorkpageStartInfo wpsi)`
    `protected WorkpageStartInfo` | `convertWorkpageIntoWorkpageStartInfo(IWorkpage workpage)`
    `void` | `unblock()`

    - ### Methods inherited from class org.eclnt.workplace.WorkplaceFavorites

      `addFavorite, addFavoritesListener, getDefaultImage, getFaovriteInfos, getFavorites, getFis, getObjectBinding, getWithIconTexts, loadFromPersistence, loadFromPersistId, notifyFavoritesListeners, onPaneAction, removeFavoritesListener, save, setDefaultImage, setIconDirectoryPath, setImageHeightStr, setImageWidthStr, setObjectBinding, setPane, setRowAlignmentYStr, setWithIconTexts, setWithIconTextStr, updateButtonTagBeforeComponentCreation, updatePane`

    - ### Methods inherited from class org.eclnt.jsfserver.managedbean.DefaultDispatchedBean

      `ccDestroy, getOwningDispatcher, setDispatcher`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NUMBER_OF_HISTORYITEMS

          public static int NUMBER_OF_HISTORYITEMS

    - #### WORKPLACEHISTORY_PERSISTID

          public static final java.lang.String WORKPLACEHISTORY_PERSISTID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WorkplaceHistory

          public WorkplaceHistory(IDispatcher dispatcher)

      Implicitly calls `WorkplaceHistory(IDispatcher, boolean)` passing "loadFromPersistence" with "false". If you want to load data from persistency then call `WorkplaceFavorites.loadFromPersistence(String)` yourself.

    - #### WorkplaceHistory

          public WorkplaceHistory(IDispatcher dispatcher,
                                  boolean loadFromPersistence)

  - ### Method Detail

    - #### addFavorite

          public void addFavorite(IWorkpage workpage)

    - #### block

          public void block()

      Blocks the creation of history items, e.g. during initialization of a workplace. Pay attention: a block() call must always be followed by exactly ONE unblock() call. Internally no boolean is managed, but a counter that is incremented with block() and decremented with unblock().

    - #### unblock

          public void unblock()

    - #### convertWorkpageIntoWorkpageStartInfo

          protected WorkpageStartInfo convertWorkpageIntoWorkpageStartInfo(IWorkpage workpage)

    - #### checkIfWorkpageStartInfoIsHistoryRelevant

          protected boolean checkIfWorkpageStartInfoIsHistoryRelevant(WorkpageStartInfo wpsi)

Copyright © CaptainCasa Gmbh. All Rights Reserved.